Subject: [bug#43208] [PATCH] gnu: emacs-ess: Update to 20.09.

From: Tim Howes <[email-masked]>
Date: Tue, 8 Sep 2020 12:22:08 -0700

> BTW, when trying to build the package, I get the following failure:
> 
>       INFO     Scraping files for ess-autoloads.el...
>     .../lisp/ess-autoloads.el locked by nixbld@localh... (pid 103): (s, q, p, ?)?
>     Cannot resolve lock conflict in batch mode
>     make[1]: *** [Makefile:62: ess-autoloads.el] Error 255
> 
> Can you build the package successfully?

It builds successfully sometimes, but fails sporadically due to this 
file locking issue. It seems like, the way the Makefile is set up, it's 
trying to build the ess-autoloads target multiple times in parallel, 
which is causing it to fail if two processes are trying to write to the 
file at the same time. I'll take a look later to see if I can prevent 
the problem.

Thanks,
Tim